Redmine - Feature #30042

Update Rails to 5.2.1.1
2018-11-28 08:58 - Marius BALTEANU

Status: Closed Start date:

Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version:

Resolution: Fixed

Description

https://weblog.rubyonrails.org/2018/11/27/Rails-4-2-5-0-5-1-5-2-have-been-released/

diff --git a/Gemfile b/Gemfile

index e32b28888..3cbedf69f 100644

-—— a/Gemfile

+++ b/Gemfile

@@ —-4,7 +4,7 QR if Gem::Version.new (Bundler::VERSION) < Gem::Version.new('1.5.0")

abort "Redmine requires Bundler 1.5.0 or higher (you're using #{Bundler::VERSION}).\nPlease upd

ate with 'gem update bundler'."

end

-gem "rails", "5.2.1"

+gem "rails", "5.2.1.1"

gem "rouge", "~> 3.3.0"

gem "request_store", "1.0.5"
gem "mini_mime", "~> 1.0.1"

Related issues:
Related to Redmine - Patch #28933: Migrate to Rails 5.2 Closed
Copied to Redmine - Patch #30119: Update Rails to 5.2.2 Closed

Associated revisions

Revision 17641 - 2018-11-28 18:56 - Jean-Philippe Lang
Update Rails to 5.2.1.1 (#30042).

Patch by Marius BALTEANU.

History

#1 - 2018-11-28 08:58 - Marius BALTEANU
- Copied from Feature #29667: Update Rails to 4.2.10 added

#2 - 2018-11-28 08:58 - Marius BALTEANU
- Copied from deleted (Feature #29667: Update Rails to 4.2.10)

#3 - 2018-11-28 09:01 - Marius BALTEANU
- Copied to Feature #30043: Update Rails to 4.2.11 added

#4 - 2018-11-28 09:01 - Marius BALTEANU
- Copied to deleted (Feature #30043: Update Rails to 4.2.11)

#5 - 2018-11-28 09:26 - Marius BALTEANU

All tests pass.

#6 - 2018-11-28 18:56 - Jean-Philippe Lang
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
https://weblog.rubyonrails.org/2018/11/27/Rails-4-2-5-0-5-1-5-2-have-been-released/

- Resolution set to Fixed
Committed, thanks.

#7 - 2018-12-07 09:03 - Marius BALTEANU
- Related to Patch #28933: Migrate to Rails 5.2 added

#8 - 2018-12-07 09:03 - Marius BALTEANU
- Target version deleted (4.0.0)

#9 - 2018-12-07 09:05 - Marius BALTEANU
- Copied to Patch #30119: Update Rails to 5.2.2 added
